Name:           python-django-staticfiles
Version:        1.2.1
Release:        3%{?dist}
Summary:        A Django app that provides helpers for serving static files

Group:          Development/Languages
License:        BSD
URL:            http://django-staticfiles.readthedocs.org/
Source:         http://pypi.python.org/packages/source/d/django-staticfiles/django-staticfiles-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
Requires:       python-django
Requires:       python-django-appconf

Provides: django-staticfiles = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-staticfiles < 0.3.2-6

%description
This is a Django app that provides helpers for serving static files.
The main website for django-staticfiles is github.com/jezdez/django-staticfiles 
where you can also file tickets.

%prep
%setup -q -n django-staticfiles-%{version}
rm -f docs/_build/html/.buildinfo
rm -rf django_staticfiles.egg-info 

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc docs/ LICENSE AUTHORS README.rst
%{python_sitelib}/staticfiles
%{python_sitelib}/django_staticfiles-%{version}-py?.?.egg-info

%changelog
* Tue Feb 04 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-3
- fix changelog

* Tue Feb 04 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-2
- correct django-staticfiles obs_ver

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.2.1-1
- New Upstream Version
- add django-appconf

* Thu Jun 20 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.3.2-9
- change requirement to python-django14

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 16 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-6
- rebuilt

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-5
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sat May 26 2012 Domingo Becker <domingobecker@gmail.com> - 0.3.2-4
- Package rename to python-django-staticfiles. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-3
- Removed hidden .buildinfo from docs dir

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-2
- Fixed License, URL, BuildRequires, long description, dot at summary

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 0.3.2-1
- Initial RPM release

